This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 831106 - Own user role security manager permissions change leads to "RuntimeException" and "Failure" alert on GUI.
Own user role security manager permissions change leads to "RuntimeException"...
Status: NEW
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 04:13 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Alert (108.30 KB, image/png)
2012-06-12 04:13 EDT, Armine Hovsepyan
no flags Details
exception (170.02 KB, image/png)
2012-06-12 04:13 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2012-06-12 04:13:03 EDT
Created attachment 591129 [details]
Alert

Description of problem:
User with Security manager enabled is disabling it from administration page, after which Administration page is not being visible for that user anymore: Runtime Exception is being thrown with "Warning: Server returned FAILURE with no error message" alert on GUI.

Version-Release number of selected component (if applicable):
JON - Version: 3.1.0.ER6

How reproducible:
always

Steps to Reproduce:
1.Log in with rhqadmin super user
2.Create role "testRole" with Security Manager switched on (like super admin)
3.Create "testUser" user with this role
4.Log in with "testUser"
5. Click on Administraiton -> Roles -> testRole
6. Uncheck Security manager (also manage Inventory, manage Settings, manage bundles, manage Repositories) checkboxes and save role 
7. Click on testRole link
  
Actual results:
Warning alert is being shown
Runtime Exception is being thrown in messages Center

Expected results:
testRole should be not clickable anymore (as it is after the page refresh)

Additional info:
please get attached screenshots
Comment 1 Armine Hovsepyan 2012-06-12 04:13:29 EDT
Created attachment 591130 [details]
exception
Comment 2 Jay Shaughnessy 2012-06-15 16:56:57 EDT
Recommend low priority or won't fix.  A user removing his own manage_security perm seems like a real corner case.

Note You need to log in before you can comment on or make changes to this bug.